Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GraphObserver Class Reference
[Graphs]

`#include <ObservableGraph.h>`

Inherited by tlp::AcyclicTest, tlp::BiconnectedTest, tlp::ConnectedTest `[private]`, tlp::GraphProperty, tlp::LayoutProperty, tlp::OuterPlanarTest `[private]`, tlp::PlanarityTest, tlp::SimpleTest, tlp::TreeTest `[private]`, and tlp::TriconnectedTest `[private]`.

Inheritance diagram for tlp::GraphObserver:

[legend]
List of all members.

## Detailed Description

Observer for Graph.

The Observer pattern is described in the lecture notes and pp293-304 of Design Patterns by Gamma, Helm, Johnson, and Vlissides. It is a framework for handling state dependency between observer and observed object.

## Public Member Functions

- GraphObserver (bool manageObservables=true)
- virtual ~GraphObserver ()
- virtual void addNode (Graph *, const node)
- virtual void addEdge (Graph *, const edge)
- virtual void delNode (Graph *, const node)
- virtual void delEdge (Graph *, const edge)
- virtual void reverseEdge (Graph *, const edge)
- virtual void destroy (Graph *)
- virtual void addSubGraph (Graph *, Graph *)
- virtual void delSubGraph (Graph *, Graph *)
- virtual void addLocalProperty (Graph *, const std::string &)
- virtual void delLocalProperty (Graph *, const std::string &)
- virtual void beforeSetAttribute (Graph *, const std::string &)
- virtual void afterSetAttribute (Graph *, const std::string &)
- virtual void removeAttribute (Graph *, const std::string &)
- void addObservable (ObservableGraph *)
- void removeObservable (ObservableGraph *)

## Constructor & Destructor Documentation

tlp::GraphObserver::GraphObserver | ( | bool | manageObservables = `true` | ) | `[inline]`

virtual tlp::GraphObserver::~GraphObserver | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void tlp::GraphObserver::addEdge | ( | Graph * | ,
|  | const | edge
| ) | `[inline, virtual]`

virtual void tlp::GraphObserver::addLocalProperty | ( | Graph * | ,
|  | const std::string & |
| ) | `[inline, virtual]`

virtual void tlp::GraphObserver::addNode | ( | Graph * | ,
|  | const | node
| ) | `[inline, virtual]`

void tlp::GraphObserver::addObservable | ( | ObservableGraph * |  | ) |

virtual void tlp::GraphObserver::addSubGraph | ( | Graph * | ,
|  | Graph * |
| ) | `[inline, virtual]`

virtual void tlp::GraphObserver::afterSetAttribute | ( | Graph * | ,
|  | const std::string & |
| ) | `[inline, virtual]`

virtual void tlp::GraphObserver::beforeSetAttribute | ( | Graph * | ,
|  | const std::string & |
| ) | `[inline, virtual]`

virtual void tlp::GraphObserver::delEdge | ( | Graph * | ,
|  | const | edge
| ) | `[inline, virtual]`

virtual void tlp::GraphObserver::delLocalProperty | ( | Graph * | ,
|  | const std::string & |
| ) | `[inline, virtual]`

virtual void tlp::GraphObserver::delNode | ( | Graph * | ,
|  | const | node
| ) | `[inline, virtual]`

virtual void tlp::GraphObserver::delSubGraph | ( | Graph * | ,
|  | Graph * |
| ) | `[inline, virtual]`

virtual void tlp::GraphObserver::destroy | ( | Graph * |  | ) | `[inline, virtual]`

| Reimplemented in tlp::GraphProperty.

virtual void tlp::GraphObserver::removeAttribute | ( | Graph * | ,
|  | const std::string & |
| ) | `[inline, virtual]`

void tlp::GraphObserver::removeObservable | ( | ObservableGraph * |  | ) |

virtual void tlp::GraphObserver::reverseEdge | ( | Graph * | ,
|  | const | edge
| ) | `[inline, virtual]`

| Reimplemented in tlp::LayoutProperty.

Tulip Software by LaBRI Visualization Team 2001 - 2010